<?php
/**
 * Plugin Name: AIT Stripe Payments
 * Version: 2.0.2
 * Description: Adds Stripe gateway to Directory type themes
 *
 * Author: AitThemes.Club
 * Author URI: https://ait-themes.club
 * License: GPLv2 or later
 * Text Domain: ait-stripe
 * Domain Path: /languages
 * Revision: trunk@r48
 */

defined('ABSPATH')or
die();define('AIT_STRIPE_ENABLED',true);include_once(__DIR__.'/load.php');add_action('after_setup_theme',function(){try{AitStripe::getInstance();}catch(Exception$e){AitStripe::log($e);}});register_activation_hook(__FILE__,function(){stripeCheckCompatibility(true);AitCache::clean();});add_action('after_switch_theme',function(){stripeCheckCompatibility();});$aitPluginsList[]='ait-stripe';if(!isset($aitPluginsInitialized)){add_action('init',function(){$domain=explode('/',preg_replace('|https?://|','',get_option('siteurl')))[0];if(defined('AIT_THEME_PACKAGE')&&!in_array($domain,['localhost','127.0.0.1'])){if(wp_doing_ajax()){add_action('ait-save-options',function($data){if(isset($data['_ait_api_key_plugin'])){update_option('_ait_api_key_plugin',$data['_ait_api_key_plugin']);}delete_transient('check_ait_subscription_plugin');});}else{if(AIT_THEME_PACKAGE==='themeforest'){$key=get_option('_ait_api_key_plugin');if(is_super_admin()){add_filter('ait-get-full-config',function($config,$type)use($domain){if($type==='theme'&&isset($config['licensing'])){$config['licensingPlugin']=$config['licensing'];$config['licensingPlugin']['@title']=__('API Key','ait-admin');$config['licensingPlugin']['@options'][0]['domain']['callback']=function()use($domain){?>
                                    <div class="ait-opt-label">
                                        <div class="ait-label-wrapper">
                                            <label class="ait-label" for="ait-plugin-api-domain"><?php esc_html_e('Domain')?></label>
                                        </div>
                                    </div>
                                    <div class="ait-opt ait-opt-text">
                                        <div class="ait-opt-wrapper">
                                            <input type="text" id="ait-plugin-api-domain" value="<?php echo
esc_attr($domain)?>" onclick="this.focus();this.select()" readonly style="cursor: copy;">
                                        </div>
                                        <div class="ait-help"><?php echo
wp_kses_post(__('You will need this when you will be generating API Key','ait'))?></div>
                                    </div>
                                    <?php
};$config['licensingPlugin']['@options'][0]['key']['callback']=function(){?>
                                    <div class="ait-opt-label">
                                        <div class="ait-label-wrapper">
                                            <label class="ait-label" for="ait-plugin-api-key"><?php _e('API Key','ait')?></label>
                                        </div>
                                    </div>
                                    <div class="ait-opt ait-opt-text">
                                        <div class="ait-opt-wrapper">
                                            <input type="text" id="ait-plugin-api-key" name="_ait_api_key_plugin" value="<?php echo
esc_attr(get_option('_ait_api_key_plugin'))?>">
                                        </div>
                                        <div class="ait-help">
                                            <?php echo
wp_kses_post(sprintf(__('You can generate API Key for the domain in your %sAitThemes account%s.','ait'),'<a href="https://system.ait-themes.club/account/api" target="_blank">','</a>'))?>
                                        </div>
                                    </div>
                                    <?php
};}return$config;},10,2);}}else{$o=get_option('_ait_updater_options');$key=!empty($o['api_key'])?$o['api_key']:'';}$response=get_transient('check_ait_subscription_plugin');if(!is_object($response)||!isset($response->last)||((24*HOUR_IN_SECONDS)<(time()-$response->last))){$responseRaw=wp_remote_post('https://system.ait-themes.club/api/5.0/subscriptions/check',['timeout'=>3,'body'=>['domain'=>$domain,'key'=>$key,'package'=>'plugins','theme'=>AIT_THEME_CODENAME,'plugins'=>json_encode($GLOBALS['aitPluginsList'])]]);if(is_wp_error($responseRaw)){error_log($responseRaw->get_error_message());}$response=new
stdClass;$response->last=time();$response->body=json_decode(wp_remote_retrieve_body($responseRaw),true);$response->code=wp_remote_retrieve_response_code($responseRaw);set_transient('check_ait_subscription_plugin',$response);}switch($response->code){case
401:if(is_super_admin()){add_action('admin_notices',function(){printf('<div class="notice notice-warning notice-large"><p><strong class="notice-title">%1$s</strong><br>%2$s</p></div>',esc_html(__('Invalid API Key for this domain','ait')),wp_kses_post(sprintf(__('Please enter a valid API key for this domain. You can configure it in %sTheme Admin &rarr; Theme Options &rarr; API Key%s.','ait'),'<a href="'.admin_url('admin.php?page=ait-theme-options#ait-theme-options-licensing'.(AIT_THEME_PACKAGE==='themeforest'?'plugin':'').'-panel').'">','</a>')));});}if(!is_admin()){add_filter('template_include',function($template){wp_die(__('Please enter a valid API key for this domain. You can configure it in Theme Options.','ait'),__('Invalid API Key for this domain','ait'));return$template;});}break;case
500:if(is_super_admin()){add_action('admin_notices',function(){printf('<div class="notice notice-warning notice-large"><p><strong class="notice-title">%1$s</strong><br>%2$s</p></div>',esc_html(__('Error checking API Key','ait')),wp_kses_post(__('There was and error while checking API Key.','ait')));});}break;}}}});$aitPluginsInitialized=true;}add_action('plugins_loaded',function(){load_plugin_textdomain('ait-stripe',false,dirname(plugin_basename(__FILE__)).'/languages');},11);function
stripeCheckCompatibility($die=false){if(!defined('AIT_THEME_TYPE')){require_once(ABSPATH.'wp-admin/includes/plugin.php');deactivate_plugins(plugin_basename(__FILE__));if($die){wp_die('Current theme is not compatible with Stripe Payments plugin :(','',array('back_link'=>true));}else{add_action('admin_notices',function(){echo"<div class='error'><p>".__('Current theme is not compatible with Stripe Payments plugin!','ait-stripe')."</p></div>";});}}}